/* 
 * Copyright (C) 1999-2004 Joachim Wieland <joe@mcknight.de>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 */

#ifndef __JFTPGW_STD_CMDS_H__
#define __JFTPGW_STD_CMDS_H__


int ftp_list(const char* cmd, const char** args,
			struct proxyinfo* pi, struct messagebuffer *msgbuf,
			const char* ctm_name);

int ftp_retr(const char* cmd, const char** args,
			struct proxyinfo* pi, struct messagebuffer *msgbuf,
			const char* ctm_name);

int ftp_stor(const char* cmd, const char** args,
			struct proxyinfo* pi, struct messagebuffer *msgbuf,
			const char* ctm_name);

int std_already_loggedin(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_quit(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_pasv(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_port(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_stor(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_stou(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_retr(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_type(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_list(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_cwd(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_pwd(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_capa(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_cdup(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_size(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_mkd(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_rmd(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_rnfr(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_rnto(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_noop(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_mdtm(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_dele(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_site(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_rest(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);
int std_forward_cmd(const char* cmd, const char** args, struct proxyinfo* pi,
			struct messagebuffer *msgbuf, int expected_code);
int std_config_forward_cmd(const char*, const char**,
			struct proxyinfo*, struct messagebuffer*);


#endif
