/* 
 * Copyright (C) 1999-2004 Joachim Wieland <joe@mcknight.de>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 */

#ifndef __FTP_CMDCHECK_H__
#define __FTP_CMDCHECK_H__


#define CHECK_FILENAME		1
#define CHECK_USERNAME		2
#define CHECK_PASS		3
#define CHECK_DIRECTORY		5
#define CHECK_NOTHING		6
#define CHECK_ACTIVEPORT	7
#define CHECK_PASSIVEPORT	8
#define CHECK_TYPE		9
#define CHECK_BYTEPOSITION	10
#define CHECK_LISTARGS		11
#define CHECK_NLSTARGS		12
#define CHECK_SITECOMMAND	13
#define CHECK_HELP		14

#define CHECK_FAILED		(-1)
#define CHECK_SUCCESS		0
#define CHECK_DONTKNOW		1


/* LISTSPP / RETRSPP */
#define CHECK_CMD_MAXLEN        "7"
/* CWD / PWD / ... */
#define CHECK_CMD_MINLEN        "3"

#define CHECK_ARG_MAXLEN        "256" /* maxlen is for all, has to be at */
                                      /* least the maximum of all other  */
                                      /* MAX-values */
#define CHECK_ARG_FILE_MAXLEN    "256"
#define CHECK_ARG_USER_MAXLEN    "40"
#define CHECK_ARG_PASS_MAXLEN    "40"

struct ftpcheck_list_t {
	const char* command;
	int handler;
	int nargs_min;
	int nargs_max;
};

int ftp_cmdcheck(const char* cmd, const char** args,
		struct proxyinfo* pi, struct messagebuffer* msgbuf);

int cmdcheck_init(void);

#endif /* __FTP_CMDCHECK_H__ */

